Bug 600082 - Installing an editor always makes it the default
Summary: Installing an editor always makes it the default
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: desktop-file-utils   
(Show other bugs)
Version: 15
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-03 22:22 UTC by Felipe Contreras
Modified: 2013-01-10 05:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-02 19:20:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Felipe Contreras 2010-06-03 22:22:42 UTC
I install gvim, now gvim is the default.

I install emacs, now emacs is the default.

Installing an editor package should not modify:
/usr/share/applications/mimeinfo.cache

If they do, the should append themselves *last* in the list.

Comment 1 Felipe Contreras 2010-08-09 19:11:50 UTC
Hello? This is an easy fix.

Comment 2 Felipe Contreras 2011-04-27 10:22:22 UTC
Hellooooooooooo?

Comment 3 Felipe Contreras 2011-05-25 12:36:24 UTC
Sill happens on F15.

Comment 4 Felipe Contreras 2012-02-02 19:20:04 UTC
And F16. But obviously nobody cares about this very annoying bug.

Now Fedora tries to open text files with Wine's notepad. Awesome.

Good bye Fedora.


Note You need to log in before you can comment on or make changes to this bug.